import * as React from 'react';
export declare function useScrollTop(): any;
/**
 * 用于处理自定义组件props传参结构，对系统变量进行保留
 * 曾用名：resolveComponentProps()
 */
export declare function useComponentProps(props: IFieldProps, isPlainProps: any): any;
export interface IFieldProps extends React.PropsWithRef<any> {
    id: string;
    data: any;
    emit: (trigger: any, eventData: any, domEvent?: any) => void;
    events: string[];
    /**
     * current widget
     */
    $node: any;
    staticResourceAttribute: string[];
    domRef: React.RefObject<any>;
    compositeParent: any;
    forIndexes: number[];
}
